## wcsaxes 0.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WCSAxes.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WCSAxes.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WCSAxes"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WCSAxes"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
wcsaxes (0.6-5) unstable; urgency=low

  * Disable test_no_numpy_warnings. Closes: #813358

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Feb 2016 10:42:46 +0100

wcsaxes (0.6-4) unstable; urgency=low

  * Wrap CI tests with xvfb-run to workaround the (unnecessary) need of X11

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Nov 2015 17:13:13 +0100

wcsaxes (0.6-3) unstable; urgency=low

  * (Re-?)enable build time tests, and create CI tests

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Nov 2015 11:09:53 +0100

wcsaxes (0.6-2) unstable; urgency=low

  * Disable tests that require pytest-mpl

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jul 2015 10:48:55 +0200

wcsaxes (0.6-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <olebole@debian.org>  Wed, 29 Jul 2015 09:24:47 +0200

wcsaxes (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #785015)

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Jun 2015 09:10:51 +0200

=== debian/control ===
Source: wcsaxes
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-astropy,
               python-astropy-helpers,
	       python-matplotlib,
	       python-pytest,
               python-setuptools,
	       python-tk,
               python3-all,
               python3-astropy,
               python3-astropy-helpers,
	       python3-matplotlib,
	       python3-pytest,
               python3-setuptools,
	       python3-tk,
	       xauth,
	       xvfb
Standards-Version: 3.9.6
Homepage: https://github.com/astrofrog/wcsaxes
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/wcsaxes.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/wcsaxes.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-wcsaxes
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Framework for plotting astronomical and geospatial data (Python 2)
 WCSAxes is a framework for making plots of Astronomical data in
 Matplotlib. It is affiliated with the Astropy project and is intended for
 inclusion in the Astropy package once stable.
 .
 This package contains the Python 2 version of the package.

Package: python3-wcsaxes
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-matplotlib
Description: Framework for plotting astronomical and geospatial data (Python 3)
 WCSAxes is a framework for making plots of Astronomical data in
 Matplotlib. It is affiliated with the Astropy project and is intended for
 inclusion in the Astropy package once stable.
 .
 This package contains the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=wcsaxes
export http_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	xvfb-run -a python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/wcsaxes/wcsaxes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wcsaxes 0.9

=== debian/changelog ===
wcsaxes (0.9-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Jul 2016 10:16:04 +0200

wcsaxes (0.8-1) unstable; urgency=low

  * New upstream version
  * Use ConfigParser directly.

 -- Ole Streicher <olebole@debian.org>  Tue, 24 May 2016 16:36:43 +0200

wcsaxes (0.7-1) unstable; urgency=low

  * Add d/upstream/metadata
  * New upstream version
  * Push standards-Version to 1.9.8. Use https for VCS fields
  * Remove unused lintian-overrides

 -- Ole Streicher <olebole@debian.org>  Sat, 07 May 2016 12:02:52 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: wcsaxes
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-astropy,
+               python-astropy (>= 1.0),
                python-astropy-helpers,
 	       python-matplotlib,
 	       python-pytest,
@@ -21,10 +21,10 @@
 	       python3-tk,
 	       xauth,
 	       xvfb
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/astrofrog/wcsaxes
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/wcsaxes.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/wcsaxes.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/wcsaxes.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/wcsaxes.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
